%global _privatelibs libitem[\.]+so[.]+
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$
%define aname CopyQ

Name:           copyq
Version:        2.7.0
Release:        %mkrel 1
Summary:        An advanced clipboard manager
License:        GPLv3
URL:            http://qt-apps.org/content/show.php/CopyQ?content=147452
Group:          Text tools
# Source0:      https://github.com/hluk/%{aname}/archive/v%{version}.tar.gz
Source0:        %{aname}-%{version}.tar.gz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5ScriptTools)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  qt5gui-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xtst)

%description
CopyQ is advanced clipboard manager with searchable and editable history
with support for image formats, command line control and more.

%prep
%setup -q -n %{aname}-%{version}

%build
%cmake_qt5 \
    -DWITH_QT5=TRUE
%make

%install
%makeinstall_std -C build

# Add translation lang tags
(cd %{buildroot} && find . -name '*.qm') | %__sed -e 's|^.||' | sed -e \
    's:\(.*/translations/copyq_\)\([a-z_A-Z]\+\)\(.*qm$\):%lang(\2) \1\2\3:'\
        >> %{name}.lang

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/copyq.desktop
%{_datadir}/appdata/copyq.appdata.xml
%{_datadir}/%{name}/themes/*.ini
%{_prefix}/lib/%{name}/plugins/*.so
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Tue May 10 2016 dglent <dglent> 2.7.0-1.mga6
+ Revision: 1012178
- Version 2.7.0

* Sun Feb 14 2016 umeabot <umeabot> 2.5.0-2.mga6
+ Revision: 959823
- Mageia 6 Mass Rebuild

* Sun Dec 20 2015 dglent <dglent> 2.5.0-1.mga6
+ Revision: 912492
-Version 2.5.0

* Mon Aug 31 2015 dglent <dglent> 2.4.9-1.mga6
+ Revision: 871436
- Version 2.4.9

* Thu Jun 25 2015 dglent <dglent> 2.4.7-1.mga6
+ Revision: 842801
- Version 2.4.7
  Qt5 build

* Wed Oct 15 2014 umeabot <umeabot> 2.4.0-4.mga5
+ Revision: 750150
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.4.0-3.mga5
+ Revision: 693685
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.4.0-2.mga5
+ Revision: 678540
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 dglent <dglent> 2.4.0-1.mga5
+ Revision: 665171
- New version 2.4.0

* Thu Jun 26 2014 dglent <dglent> 2.3.0-1.mga5
+ Revision: 639849
- imported package copyq

